%% This is file `du-journals.cls',
%%
%% Copyright 2012 The LaTeX3 Project
%%
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{du-journals}[2012/05/26 v1.1]
\LoadClass[10pt,a4paper,twoside]{article}
%%
\usepackage{amssymb}
\usepackage{amsfonts}
\usepackage{amsthm}
\usepackage{graphicx,lastpage}
%%
%%
\hoffset-1in
\oddsidemargin3.5cm
\textwidth14cm
\evensidemargin3.5cm
\voffset-1in
\topmargin2cm
%%
%s\setlength{\parskip}{5mm}
%\parskip=0.1pt
% ----------------------------define new page style for first page
\newcommand{\journal}[1]{\def\@journal{#1}}
\newcommand{\Year}[1]{\def\@Year{#1}}
\newcommand{\Vol}[1]{\def\@Vol{#1}}
\newcommand{\No}[1]{\def\@No{#1}}
\newcommand{\Page}[1]{\def\@Page{#1}}
\newcommand{\Number}[1]{\def\@Number{#1}}
\newcommand{\Received}[1]{\def\@Received{#1}}
\newcommand{\Revised}[1]{\def\@Revised{#1}}
\newcommand{\Accepted}[1]{\def\@Accepted{#1}}
\newcommand{\Doi}[1]{\def\@Doi{#1}}
\newcommand{\Doihead}[1]{\def\@Doihead{#1}}
%------------------------------------------------------------
%%
%\def\abb{Abb. Journal Title}%
%\def\full{Full Journal Title}%
%%
%\newcommand{\jtitle}{Full Journal Title}
%\newcommand{\journal}[1]{\renewcommand{\jtitle}{#1}}
%\newcommand{\journaltitle}{\sffamily\bfseries\jtitle}
%\newlength{\jtitlewidth}\setlength{\jtitlewidth}{0pt}
%\settowidth{\jtitlewidth}{\journaltitle}
%%
\def\logo{%
\newlength{\logowidth}
\setlength{\logowidth}{4cm}
\begin{minipage}{\logowidth}
%\rule{\logowidth}{.2ex}\vspace*{-.2ex}
\raggedleft\includegraphics[width=.95\textwidth]{logo}
%\vspace*{-2ex}\newline\rule{\logowidth}{.5ex}
\end{minipage}
}
%---------------------------------------------------------------
\def\ABB{%
\begin{minipage}{64mm}
\footnotesize\@journal\\
Volume \@Vol, Issue \@No, \@Year, \@Page\\
\copyright Available online at http://jhap.du.ac.ir\\
DOI: \@Doihead\\
Online ISSN: 2783--3518
\end{minipage}}
%%%%%%%%%%%%% be aded after accepted %%%%%%
\def\Rese{%
\begin{minipage}{30mm}
\footnotesize{\textbf{Regular article}}
\end{minipage}}
%****************************
%****************************
\newcommand{\fot}{%
\raisebox{-9ex}{
\begin{tabular}{p{13.5cm}}%
      \hline
     %\footnotesize{$^*$ \it Corresponding author}&&\\
      \footnotesize{\textbf{COPYRIGHTS:} \copyright2023, Journal of Holography Applications in Physics. Published by Damghan University. This article is an open-access article distributed under the terms and conditions of the Creative Commons Attribution 4.0 International (CC BY 4.0).}\\
\footnotesize{https://creativecommons.org/licenses/by/4.0}
\\ \\
\hspace*{5.5cm}
\includegraphics[scale=0.2]{by}
\includegraphics[width=0.045\textwidth]{Picture}%
\\ \\
\hspace*{6.7cm}
\thepage
%{\raggedright\begin{minipage}{3mm}
%      \includegraphics[scale=0.4]{BYNC}
%      \end{minipage}}        &  \hspace*{-1cm}\thepage &
%{\raggedleft\begin{minipage}{3mm}
%       \qrcode[height=1cm]{\@Doi}
%       \end{minipage}} \hfill
     \end{tabular}%
  }
 }
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\ps@firstpage{%
    \def\@oddfoot{\fot\hfil}% be aded after accepted
 %\def\@oddfoot{\hfil\thepage\hfil}%
   \def\@oddhead{\ABB\hfil\logo}%
    \let\@evenfoot\@empty%
    \let\@evenhead\@empty%
    \let\@mkboth\@gobbletwo
    \let\chaptermark\@gobble
    \let\sectionmark\@gobble}
%%
%%
\usepackage{ifthen}
%%
\providecommand{\thanks}{}
\renewcommand{\thanks}[1]{\footnote{#1}}
\renewcommand{\thempfootnote}{\fnsymbol{mpfootnote}}
%%
%Transfer argument of \title command to \duj@title
\renewcommand{\title}[1]{\newcommand{\duj@title}{#1}}
\newcommand{\duj@subtitle}{\duj@title}
\newcommand{\subtitle}[1]{\renewcommand{\duj@subtitle}{#1}}
%%
%Transfer argument of \author command to TeX commands
%of the form \author@n, with optional labels stored in \authorlabel@n
\newcounter{author}
\renewcommand{\author}[2][]
{
   \stepcounter{author}
   \@namedef{author@\theauthor}{#2}
   \@namedef{authorlabel@\theauthor}{#1}
}
%%
%Transfer argument of \address command to TeX commands
%of the form \address@n, with optional labels stored in \addresslabel@n
\newcounter{address}
\newcommand{\address}[2][]
{
   \stepcounter{address}
   \@namedef{address@\theaddress}{#2}
   \@namedef{addresslabel@\theaddress}{#1}
}
%%
%\newcounter{email}
%\newcommand{\email}[2][]
%{
%   \stepcounter{email}
%   \@namedef{email@\theemail}{#2}
%   \@namedef{emaillabel@\theemail}{#1}
%}
%%
%Transfer argument of \contact commands to \duj@contact
%\newcommand{\contact}[1]{\newcommand{\duj@contact}{#1}}
%\newcommand{\contactaddress}[1]{\newcommand{\duj@address}{#1}}
%\newcommand{\contactphone}[1]{\newcommand{\duj@phone}{#1}}
%\newcommand{\contactfax}[1]{\newcommand{\duj@fax}{#1}}
%\newcommand{\contactemail}[1]{\newcommand{\duj@email}{#1}}
%%
%Transfer argument of \category command to \duj@category
%\newcommand{\category}[1]{\newcommand{\duj@category}{#1}}
%%
%%
%%
%%
%Transfer argument of \keywords command to \duj@keywords
%\newcommand{\keys}{Enter keywords}
%\newcommand{\keywords}[1]{\renewcommand{\keys}{#1}\par\textit{Keywords}: \keys}
%%
%%
%%
%%
\def\maketitle{%
\vspace*{9ex}
\noindent
%%%%%%%%%% be aded after accepted %%%%%%%
\begin{flushleft}
\Rese
\end{flushleft}
\vspace*{1ex}
\noindent
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{minipage}{.8\textwidth}
\begin{flushleft}
\renewcommand{\baselinestretch}{1.1}
\large\bfseries\duj@title
\end{flushleft}
\end{minipage}
\par
\vspace{5ex}
{\small
      \newcounter{c@author}
      \ifthenelse{\value{address}=1}{%No address references required if there is only one
         \@nameuse{author@1}%
         \stepcounter{c@author}%
         \whiledo{\value{c@author}<\value{author}}%
            {\stepcounter{c@author}$\ \cdot\ $\@nameuse{author@\thec@author}}\\%
      }
      {%Add address references after the author's name
         \@nameuse{author@1}${}^{\ref{\@nameuse{authorlabel@1}}}$%
         \stepcounter{c@author}%
         \whiledo{\value{c@author}<\value{author}}%
            {\stepcounter{c@author}$\ \cdot\ $\@nameuse{author@\thec@author}%
             ${}^{\ref{\@nameuse{authorlabel@\thec@author}}}$%
         }
      }
}
      \ifthenelse{\value{address}>0}
      {
         \ifthenelse{\value{address}=1}
         {%Output the address without any reference symbols
            {\footnotesize\@nameuse{address@1}}
         }
         {%Output the addresses as an enumerated list
            \newcounter{c@address}
            \begin{list}
               {{}$^{\arabic{c@address}}$}
               {\usecounter{c@address}%
                \setlength{\itemindent}{0pt}%
                \setlength{\itemsep}{0pt}%
                \setlength{\labelsep}{0.1in}%
                \setlength{\labelwidth}{0.2in}%
                \setlength{\leftmargin}{0.4in}
                \setlength{\parsep}{0pt}%
                \setlength{\rightmargin}{\leftmargin}
                \setlength{\topsep}{2pt}%
                \footnotesize}
               \whiledo{\value{c@address}<\value{address}}
               {
                  \item \label{\@nameuse{addresslabel@\thec@address}}%
                  \@nameuse{address@\thec@address}%
               }
            \end{list}
         }
      }
      \par
      \vspace*{2ex}
\begin{quote}
{\fontsize{7.5}{5}\selectfont{\textbf{Received:} \@Received; \textbf{Revised:} \@Revised}; \textbf{Accepted:} \@Accepted}
\end{quote}
      {
         \relax
      }
\thispagestyle{firstpage}}
%%
\newcommand{\authorhead}{}
\ifthenelse{\value{author}=1}%
{\renewcommand{\authorhead}{\@nameuse{author@1}}}%
{\renewcommand{\authorhead}{\@nameuse{author@1} and \@nameuse{author@2}}}%
%%
%%
\renewenvironment{abstract}%
{\maketitle\vspace*{2ex}\begin{quote}\textbf{Abstract}.\small}
{\end{quote}}
%%
%%
\newenvironment{keywords}%
{\begin{quote}\small\textit{Keywords}:}
{\end{quote}}
%%
%%
\def\ps@dups{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@oddhead{\hfil{\small\duj@subtitle}\hfil\thepage}%
    \def\@evenhead{\thepage\hfil{\small\authorhead}\hfil}%
    \let\@mkboth\markboth}
%%
\pagestyle{dups}
\endinput



%Define the abstract environment to output all the information collected
%\renewenvironment{abstract}{%Commands for the beginning of the abstract environment
%   \begin{center}
%      Abstract
%   \end{center}
%   \vspace{3ex}
%   \begin{minipage}[t][5in][t]{6in}
%      \begin{center}
%         {\large\bfseries \duj@title}\\
%      \vspace{1ex}
%      \newcounter{c@author}
%      \ifthenelse{\value{address}=1}
%      {%No address references required if there is only one
%         \@nameuse{author@1}%
%         \stepcounter{c@author}%
%         \whiledo{\value{c@author}<\value{author}}%
%            {\stepcounter{c@author}, \@nameuse{author@\thec@author}}\\%
%      }
%      {%Add address references after the author's name
%         \@nameuse{author@1}${}^{\ref{\@nameuse{authorlabel@1}}}$%
%         \stepcounter{c@author}%
%         \whiledo{\value{c@author}<\value{author}}%
%            {\stepcounter{c@author}, \@nameuse{author@\thec@author}%
%             ${}^{\ref{\@nameuse{authorlabel@\thec@author}}}$%
%         }
%      }
%      \ifthenelse{\value{address}>0}
%      {
%         \ifthenelse{\value{address}=1}
%         {%Output the address without any reference symbols
%            {\slshape\small \@nameuse{address@1}}
%         }
%         {%Output the addresses as an enumerated list
%            \newcounter{c@address}
%            \begin{list}
%               {{}$^{\arabic{c@address}}$}
%               {\usecounter{c@address}%
%                \setlength{\itemindent}{0pt}%
%                \setlength{\itemsep}{0pt}%
%                \setlength{\labelsep}{0.1in}%
%                \setlength{\labelwidth}{0.2in}%
%                \setlength{\leftmargin}{0.4in}
%                \setlength{\parsep}{0pt}%
%                \setlength{\rightmargin}{\leftmargin}
%                \setlength{\topsep}{2pt}%
%                \slshape\small}
%               \whiledo{\value{c@address}<\value{address}}
%               {
%                  \item \label{\@nameuse{addresslabel@\thec@address}}%
%                  \@nameuse{address@\thec@address}%
%               }
%            \end{list}
%         }
%      }
%      {
%         \relax
%      }
%      \end{center}
%}
%{%Commands for the end of the abstract environment
%   \end{minipage}
%   \rule{6in}{10pt}
%   \begin{center}
%   \ifthenelse{\equal{\duj@keywords}{}}
%   {\relax}
%   {{\slshape Keywords : }\duj@keywords \\}
%   \vspace{0.5ex}
%   \ifthenelse{\equal{\duj@category}{}}
%   {\relax}
%   {{\slshape Category: }\duj@category \\}
%   \vspace{1ex}
%   \begin{small}
%   \framebox[6in]
%   {
%      \parbox[t]{3in}{\duj@contact \\ \duj@address}
%      \parbox[t]{2.5in}{Email: \duj@email \\
%                        Tel: \duj@phone \\
%                        Fax: \duj@fax}
%   }
%   \end{small}
%   \end{center}
%}
%%
%% End of file `casabs.cls'.
